<?php

//SMFChessXml Language File
//ChessXml.english.php

$txt['SMFChessXml'] = array(
	'turnheader_w' => 'Winner',
	'turnheader_t' => 'Turn',
	'boarddeleted' => 'Board Deleted',
	'chatcleared' => 'Chat Cleared',
	'vs' => 'Vs',
	'coloursuggest' => 'Click to use Sugguestion',
	'yours' => 'Yours',
	'elo' => 'Elo',
	'close' => '[close]',
	'notfound' => 'Board Id does not exist',
);

$txt['SMFChess_status'] = array(
	0 => 'Not Started',
	1 => 'In Progress',
	2 => 'Check',
	3 => 'Checkmate',
	4 => 'Stalemate',
	5 => 'Checkmate*',
	'UNK' => 'Unknown',
);

$txt['SMFChess_control'] = array(
	'moveexpired' => 'Opponent failed to move.',
	'undo1' => '%s has asked to undo his last move?',
	'undo2' => '%s has not responded to Undo request yet',
	'notstarted1' => 'Please make move to start Game',
	'notstarted2' => 'Game has not started Yet',
	'draw1' => '%s wants to draw this match',
	'draw2' => '%s has not responded to Draw Request',
	'resign1' => '%s wants to resign from match',
	'resign2' => '%s has not responded to Resign Request',
	'unk' => 'Unknown',
	'accept' => 'Accept',
	'reject' => 'Reject',
	'or' => 'or',
	'yousure' => 'Are you Sure?',
	'click' => 'Click',
	'here' => 'Here',
	'acceptwin' => 'to Accept Win',
	);

$txt['SMFChess_pm'] = array(
	'move_sub' => 'Your move',
	'move_msg' => 'I have made my move.',
	'admin_move_sub' => 'I have moved in your game',
	'admin_move_msg' => 'As an admin, I have forced a move in your game.',
	'undo_sub' => 'Request Undo',
	'undo_msg' => 'I would like to Undo my last move.',
	'draw_sub' => 'Request Draw',
	'draw_msg' => 'I would like to request a Draw.',
	'resign_sub' => 'Resigned from Chess Match',
	'resign_msg' => 'I have Resigned from our Chess Match.',
	'followlink' => '

Follow link for more information
',
);

$txt['SMFChessXml_errors'] = array(
	'nousers' => 'No Users Found',
	'notfound' => 'Not Found',
	'illegalmove' => ' is an Illegal Move',
	'notyourmove' => 'Not your Move',
	'noaccess' => 'You do not have access to any commands',
	'failed' => 'Failed',
	'bothplayers' => 'Cannot start until your opponent is online and watching',
	);

$txt['SMFChessXml_log'] = array(
	'stalemate' => 'Match has ended by Stalemate',
	'checkmate' => 'Match has ended by checkmate : %s Wins',
	'moved' => '%s has moved : %s',
	'undo_r' => 'Undo Requested by %s',
	'undo_a' => 'Undo Accepted : %s turn',
	'undo_f' => 'No undo, It\' your turn',
	'draw_r' => 'Draw Requested by %s',
	'resign' => 'Match has ended by resignation : %s Wins',
	'timeout' => 'Match has ended by Timeout : %s Wins',
	'a_moveadd' => 'Admin %s : Move added : %s',
	'a_checkmate' => 'Admin %s : Match has ended by Checkmate : %s Wins',
	'a_stalemate' => 'Admin %s : Match has ended by Stalemate',
	);

$txt['SMFChessChat'] = array(
	'disabled' => 'Chess Chat Disabled.',
	'reenable' => 'Re-enable',
	'nothingsaid' => 'No one has said anything',
	);

?>
