/* 
	Javascript File for SMFChess Admin Settings
*/

var temp2 = '';
var actualPrevImageSize = 0;

window.onload = function(){
["light", "dark", "border", "text", "highlight"].each(function(idx) {
  new Control.ColorPicker("SMFChess_" + idx, { IMAGE_BASE : smfchessUrl + "colorpicker/img/" });
});
piecePreview(currentPiece);
}

function do_PieceChange(temp){
	temp2 = temp.value;
	if(temp2 == "")
		temp2 = currentPiece;

	piecePreview(temp2);
}

function do_SizeChange(temp){
	var initialPieceSize = currentSize;
	
	if(initialPieceSize == 0){
	initialPieceSize = parseInt(actualPrevImageSize);
	}
	document.getElementById('previmage').height = initialPieceSize + temp;
	document.getElementById('previmage').width = initialPieceSize + temp;
}

function do_EffectChange(temp){
	if(temp < 0){temp = currentEffect;}
	//Highlight
	if(temp == 1){
		new Effect.Highlight(document.getElementById('previmage'), {startcolor: "#" + startcolor , endcolor: "#" + endcolor});
	}
	//Shake
	else if(temp == 2){
		new Effect.Shake(document.getElementById('previmage'), {distance:2});
	}
	//Pulse
	else if(temp == 3){
		new Effect.Pulsate(document.getElementById('previmage'), {pulses: 2, from: 0.2, duration: 1});
	}
}

function piecePreview(getpiece){
	if (!window.XMLHttpRequest)
		return;
	if (typeof(window.opera) != "undefined")
	{
		var test = new XMLHttpRequest();
		if (typeof(test.setRequestHeader) != "function")
			return;
	}
	setInnerHTML(document.getElementById('piecePrevDiv'), "<img src='" + smfchessUrl + "images/loading.gif'/>");
	getXMLDocument(smf_scripturl + "?action=chessXml;sa=pieceViewer;sesc=" + cur_session_id + ";getpiece=" + getpiece + ";xml", onDocReceived_piecePreview);
	return false;
}

function onDocReceived_piecePreview(XMLDoc){
	if (!XMLDoc){setInnerHTML(document.getElementById('boardPreviewDiv' + cur_boardId), "?");}
	var cur_pieceInfo = XMLDoc.getElementsByTagName("info")[0].childNodes[0].nodeValue;
	actualPrevImageSize = XMLDoc.getElementsByTagName("imagesize")[0].childNodes[0].nodeValue;
	setInnerHTML(document.getElementById('piecePrevDiv'), cur_pieceInfo);
}

function suggestColor(size){
	switch(size){
		case 5:	document.SMFChessSettings.SMFChess_highlight.value = document.getElementById('SC_4').title;
				document.SMFChessSettings.SMFChess_highlight.style.backgroundColor = "#" + document.getElementById('SC_4').title;
		case 4:	document.SMFChessSettings.SMFChess_text.value = document.getElementById('SC_3').title;
				document.SMFChessSettings.SMFChess_text.style.backgroundColor = "#" + document.getElementById('SC_3').title;
		case 3:	document.SMFChessSettings.SMFChess_border.value = document.getElementById('SC_2').title;
				document.SMFChessSettings.SMFChess_border.style.backgroundColor = "#" + document.getElementById('SC_2').title;
		case 2:	document.SMFChessSettings.SMFChess_dark.value = document.getElementById('SC_1').title;
				document.SMFChessSettings.SMFChess_dark.style.backgroundColor = "#" + document.getElementById('SC_1').title;
		case 1:	document.SMFChessSettings.SMFChess_light.value = document.getElementById('SC_0').title;
				document.SMFChessSettings.SMFChess_light.style.backgroundColor = "#" + document.getElementById('SC_0').title;
	}
}