<?php

//SMFChess Language File
//Chess.english.php

//Global
$txt['SMFChess_g'] = array(
	'seconds' => 'Seconds',
	'minutes' => 'Minutes',
	'hours' => 'Hours',
	'day' => 'Day',
	'days' => 'Days',
	's' => 's',
	'm' => 'm',
	'h' => 'h',
	'd' => 'd',
	'loading' => 'Loading...',
	);
	
//Labels
$txt['SMFChess_labels'] = array(
	'board' => 'Board',
	'challenge' => 'Challenge',
	'mypage' => 'My Page',
	'current' => 'Current',
	'finished' => 'Finished',
	'leaderboard' => 'Leaderboard',
	'settings' => 'Settings',
	'game' => 'Game',
	'status' => 'Status',
	'move' => 'Move',
	'moves' => 'Moves',
	'turn' => 'Turn',
	'created' => 'Created',
	'updated' => 'Updated',
	'winner' => 'Winner',
	'finished' => 'Finished',
	'setdefault' => '[set default]',
	'preview' => 'preview',
	'rank' => 'Rank#',
	'name' => 'Name',
	'elo' => 'Elo',
	'wins' => 'Wins',
	'draws' => 'Draws',
	'losses' => 'Losses',
	'opponent' => 'Opponent',
	'moveclock' => 'Move Clock',
	'result' => 'Result',
	'wdl' => 'W/D/L',
	'w' => 'W',
	'd' => 'D',
	'l' => 'L',
	'delete' => 'Delete Board',
	'won' => 'won',
	'vs' => 'Vs',
	'credits' => 'Credits',
	'yours' => 'Yours',
	'cUser' => '[C]',
	'findingusers' => 'Findings Users...',
	'forumdefault' => 'Forum Default',
	'remind' => '[REMIND]',
	'accept' => 'Accept',
	'reject' => 'Reject',
	'none' => 'None',
	'variation' => 'Variation'
	);

$txt['SMFChess_javascript'] = array(
	'delete' => 'Are you sure you want to Delete?',
	'yousure' => 'Are you Sure?',
	'reenable' => 'Re-enable',
	'timeout_board' => 'Chess Board Timedout do to inactivity.',
	'timeout_chat' => 'Chess Chat Timed out do to inactivity.',
	'promotion' => 'Select promotion',
	'wouldcastle' => 'Would you like to Castle?',
	'yes' => 'Yes',
	'no' => 'No',
	'addmove' => 'eg:c2-c3, h7-h5',
	);

$txt['SMFChess_Settings'] = array(
	'settingstitle' => 'Personal Settings',
	'quickplay' => 'Enable Quickplay',
	'quickplay_i' => 'Moves are sent as soon as you let go on the board piece',
	'receivepm' => 'Receive PM updates from SMFChess',
	'receivepm_i' => 'Allow SMFChess to send you move and challenge updates',
	'boardcolours' => 'Set Chess Board Colours',
	'boardcolours_i' => 'Select Chess Board Colours',
	'useforumdefaults' => 'Use Forum Defaults',
	'lightsquare' => 'Light Squares',
	'darksquare' => 'Dark Squares',
	'border' => 'Border',
	'text' => 'Border Text',
	'highlight' => 'Highlight',
	'chesspiece' => 'Set Chess Piece',
	'chesspiece_i' => 'Select Chess Piece that you would like to play with',
	'size' => 'Set Chess Board Size',
	'size_i' => 'Set the size of the Chess Board.<br/>For the Visually Impaired',
	'effect' => 'Choose Effect',
	'effect_i' => 'Effect is used when a piece is moved.',
	);

$txt['SMFChess_sizes'] = array(
	'10' => 'Large',
	'20' => 'X-Large',
	'30' => 'XX-Large',
	'40' => 'XXX-Large',
	);
	
$txt['SMFChess_effects'] = array(
	'0' => 'None',
	'1' => 'Highlight',
	'2' => 'Shake',
	'3' => 'Pulse',
	);

$txt['SMFChess_errors'] = array(
	'noranked' => 'No one is ranked',
	'is_not_guest' => 'Only registered users sorry',
	'nofinished' => 'No finished Chess Matches avaliable',
	'nocurrent' => 'No matches at all, get playing',
	'reminder' => 'Reminder Sent',
	'challengecancel' => 'Challenge Cancelled',
	'challengesuccess' => 'Challenge Submitted Successfully',
	'challengeself' => 'Can\'t Challenge yourself sorry',
	'challengenouser' => 'User not found, please try again',
	'quickmatchnotfound' => 'Problem joining Quickmatch, please make sure it exists',
	'joinoneperday' => 'Can only Join %s per day',
	'quickmatchcreated' => 'Quickmatch Created. You will be informed when an opponent is found',
	'createoneperday' => 'Can only create %s per day',
	'nomatch' => 'No match found under id',
);

$txt['SMFChess_control'] = array(
	'moveexpired' => 'Opponent failed to move.',
	'undo1' => '%s has asked to undo his last move?',
	'undo2' => '%s has not responded to Undo request yet',
	'notstarted1' => 'Please make move to start Game',
	'notstarted2' => 'Game has not started Yet',
	'draw1' => '%s wants to draw this match',
	'draw2' => '%s has not responded to Draw Request',
	'resign1' => '%s wants to resign from match',
	'resign2' => '%s has not responded to Resign Request',
	'unk' => 'Unknown',
	'accept' => 'Accept',
	'reject' => 'Reject',
	'or' => 'or',
	'click' => 'Click',
	'here' => 'Here',
	'acceptwin' => 'to Accept Win',
	);

$txt['SMFChess_status'] = array(
	0 => 'Not Started',
	1 => 'In Progress',
	2 => 'Check',
	3 => 'Checkmate',
	4 => 'Stalemate',
	5 => 'Checkmate*',
	'UNK' => 'Unknown',
	);

$txt['SMFChess_pm'] = array(
	'challenge_sub' => 'Would you like a game of Chess?',
	'QuickmatchJoined_sub' => 'Challenged by Quickmatch',
	'remind_sub' => 'Chess Reminder!',
	'remind_msg' => 'I just wanted to remind you that we have a game to finish.',
	'followlink' => '

Follow link for more information
',
);

$txt['SMFChess_MyPage'] = array(
	'mystats' => 'My Stats',
	'myresults' => 'My Results',
	'noresults' => 'You have no results',
	'mymatches' => 'My Matches',
	'nocurrent' => 'No Current Games',
	'listall' => 'List All',
	'news' => 'News',
	'topplayers' => 'Top Players',
	);

$txt['SMFChess_Board'] = array(
	'details' => 'Details',
	'flipboard' => 'Flip Board',
	'infomove' => 'Move',
	'infodragdrop' => 'Drag and Drop to Move',
	'buttonsend' => 'Send',
	'whitetitle' => 'White',
	'blacktitle' => 'Black',
	'castlequeen' => 'Queen Side',
	'castleking' => 'King Side',
	'cancastle' => 'Can Castle?',
	'export' => 'Export',
	'gamestatus' => 'Game Status',
	'history' => 'History',
	'lastmove' => 'Last Move',
	'controlpanel' => 'Control Panel',
	'undo' => 'Undo',
	'draw' => 'Draw',
	'resign' => 'Resign',
	'adminpanel' => 'Admin Panel',
	'addmove' => 'Add Move',
	'deletegame' => 'Delete Game',
	'clearchat' => 'Clear Chat',
	'declarewin' => 'Declare Win',
	'request' => 'Request',
	'chatbutton' => 'Chat',
	'chat_show' => 'Show',
	'chat_all' => 'All',
	'chat_both' => 'Both',
	'chat_log' => 'Log',
	'chat_notepad' => 'Notepad',
	'chat_save' => 'Save',
	'chat_send' => 'Sending...',
	'captured' => 'Captured',
	);
	
$txt['SMFChess_Challenge'] = array(
	'request' => 'Challenge Request',
	'part1' => 'Part 1',
	'part2' => 'Part 2',
	'searchlabel' => 'Type the Username of the SMF User you would like to challenge to a game of Chess',
	'createquickmatch' => 'Create Quickmatch',
	'createquickmatch_i' => 'Create a Quickmatch<br/>or Browse below',
	'goback' => 'Go Back',
	'tochallenge' => 'To Challenge',
	'c_msg' => 'Challenge Message',
	'c_msg_i' => 'Send a message along with Challenge?',
	'c_msg_limit' => 'Max 100; characters remaining',
	'moreinfo' => '[more info]',
	'c_moveclock_i' => 'Play with a move time limit<br />If Move Clock is less then one hour, both players must be online to start',
	'joinquickmatch' => 'Join Quickmatch',
	'clickjoin' => 'Click to Join',
	'c_variation' => 'Use Chess Variant',
	'c_variation_i' => 'Play Chess with different rules',
	'variant' => 'Variant',
	'cancel' => 'Cancel Challenge',
	);

$txt['SMFChess_moveclock'] = array(
	'0' => 'No Timer',
	'60' => '1 minute',
	'300' => '5 minutes',
	'86400' => '1 Day',
	'259200' => '3 Days',
	);
	
$txt['SMFChess_variation'] = array(
	'0' => 'Classic',
	'1' => 'Dark Chess',
	'2' => 'Extinction',
	'3' => 'Chess960',
	);
	
$txt['SMFChess_variation_i'] = array(
	'0' => '',
	'1' => 'Dark Chess is a devious and interesting variant of chess, in which the battlefield is covered by fog of war.<br />All of your opponent\'s pieces are invisible unless when threatened by one of your own.<br />The goal in Dark Chess is simply to capture the enemy king.<br /><br />There is no check or checkmate, so be sure to keep your king safe since he can be captured at any time.<br /><br /><a href=\"http://en.wikipedia.org/wiki/Dark_Chess\" target=\"_blank\">[Wikipedia]</a>',
	'2' => 'In Extinction, players have to capture all of their opponent\'s pieces of one particular type.<br />Losing your King, Queen, both Rooks, Both Bishops, Both Knights or all eight pawns will result in defeat.<br />Check and checkmate do not apply.<br />The King can be captured at any time.<br /><br /><a href=\"http://en.wikipedia.org/wiki/Extinction_chess\" target=\"_blank\">[Wikipedia]</a>',
	'3' => 'Chess960, or Fischer Random Chess is a chess variant where their are 960 different initial chess positions avaliable.<br /><br /><a href=\"http://en.wikipedia.org/wiki/Chess960\" target=\"blank\">[Wikipedia]</a>',
	);

$txt['SMFChess_variation_w'] = array(
	'0' => '',
	'1' => 'Due to variant "Dark Chess"; Export, Move History and Chat log have partially disabled till end of game',
	'2' => '',
	'3' => '',
	);
?>
